Subject: bug#14603: 24.3.50; Error while bootstrapping Emacs on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jun 2013 21:13:33 +0300

> Date: Thu, 13 Jun 2013 22:02:48 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> But now, after a few successful builds this way, and after switching 
> from Windows to GNU/Linux and back a few times (I use systems of both 
> kinds), on the one hand, I felt confident that I knew how to do it, on 
> the other hand, the last few times I built Emacs were on Linux, so I 
> completely forgot about "msysconfig.sh".

You don't need to remember.  Just run "make" all the time, it will
DTRT.  The necessary magic is in GNUmakefile.  You don't need to
invoke msysconfig.sh except once per branch.

> Like Glenn said, it would be great if ./configure aborted when the 
> environment is MSYS (would it be too hard to detect that?), or delegated 
> transparently to ./nt/msysconfig.sh.

Patches welcome.